# Complex Task Planning

Guidance for breaking down and managing substantial, multi-step tasks.

## When Planning is Critical

This guidance applies to substantial tasks that involve:
- Multiple components or systems
- Significant refactoring or restructuring
- Complex analysis or research projects
- System design or architecture changes

## Planning Process

### 1. Create a Detailed Plan
- Break down the work into concrete, manageable steps
- Identify dependencies between different components
- Estimate effort and time requirements for each step
- Consider potential risks and mitigation strategies

### 2. Document the Plan
- Save the plan to a file so progress can be tracked across sessions
- Include specific deliverables and success criteria
- Note any assumptions or constraints that affect the approach
- Version the plan as understanding evolves

### 3. Examine Current State
- Thoroughly understand the existing situation before making changes
- Identify all stakeholders and systems that may be affected
- Document current state for comparison and rollback purposes
- Look for existing solutions or similar patterns to leverage

### 4. Sequence the Work
- Plan the order of changes to minimize breaking dependencies
- Identify work that can be done in parallel vs. sequentially
- Consider testing and validation points throughout the process
- Plan for incremental delivery and feedback loops

## Execution Guidelines

- Start with the highest-risk or most uncertain components
- Validate assumptions early in the process
- Maintain flexibility to adjust the plan based on new information
- Regularly assess progress against the original plan
