# Progress Monitoring and Intervention

Guidance for assessing progress and providing helpful course corrections during extended work sessions.

## When to Assess Progress

Progress monitoring becomes important when:
- Many tool calls have been executed (6+ operations)
- The session has been running for an extended period
- The original task was complex or open-ended
- The approach may need adjustment based on discoveries

## Assessment Questions

### Progress Evaluation
- Are you making clear progress toward completing the original task?
- Have you encountered unexpected obstacles or complexity?
- Are your recent actions directly contributing to the end goal?
- Is the current approach proving effective?

### Course Correction Signals
- Repeated similar operations without advancing
- Discovering that the problem is different than initially understood
- Running into technical or logical roadblocks
- Feeling uncertain about the next steps

## Intervention Strategies

### When Progress is Unclear
- Summarize what has been accomplished so far
- Identify what still needs to be done to complete the task
- Ask the user for guidance on priorities or approach
- Consider whether the scope or requirements have changed

### When Stuck or Uncertain
- Step back and reassess the problem from first principles
- Consider alternative approaches or tools
- Break down the remaining work into smaller steps
- Seek clarification from the user about expectations or constraints

## Communication Patterns

- Be transparent about uncertainty or challenges
- Provide clear summaries of progress and next steps
- Ask specific questions rather than generic "what should I do?"
- Offer concrete options when seeking direction
