# Data Analysis Methodology

Systematic approaches for analyzing data and drawing meaningful conclusions.

## Data Exploration

- **Examine data structure and quality before drawing conclusions**
- **Understand the source, collection method, and potential biases**
- **Look for missing values, outliers, and data quality issues**
- **Document your methodology and any assumptions you're making**

## Analysis Process

- **Start with descriptive statistics and visualizations**
- **Show your analytical work step-by-step for transparency**
- **Validate results and check for edge cases or anomalies**
- **Consider multiple analytical approaches when appropriate**

## Quality Control

- **Cross-validate findings using different methods**
- **Test assumptions and statistical requirements**
- **Handle missing data and outliers appropriately**
- **Document limitations and potential sources of error**

## Communication

- **Summarize findings clearly with supporting evidence**
- **Use appropriate visualizations to support conclusions**
- **Explain methodology in accessible terms**
- **Distinguish between correlation and causation**

## Tools and Techniques

- **Choose appropriate statistical methods for the data type**
- **Use visualization effectively to reveal patterns**
- **Apply domain knowledge to interpret results**
- **Consider the business or research context in recommendations**
